Shares

A share represents a directory on a Network File Storage cluster, where options like quotas can be set for the directory.

This tag groups all operations for shares.

Retrieve all Shares

get
/clusters/{clusterId}/shares

This endpoint enables retrieving all Shares using pagination and optional filters.

Authorizations
AuthorizationstringRequired

The token can be generated using the Authentication API.

Path parameters
clusterIdstring · uuidRequired

The ID (UUID) of the Cluster.

Example: e69b22a5-8fee-56b1-b6fb-4a07e4205ead
Query parameters
offsetinteger · int32Optional

The first element (of the total list of elements) to include in the response. Use this parameter together with the limit for pagination.

Default: 0Example: 0
limitinteger · int32 · min: 1 · max: 1000Optional

The maximum number of elements to return. Use this parameter together with the offset for pagination.

Default: 100Example: 100
Responses
chevron-right
200

Returned all requested Shares successfully.

application/json

Pagination information. The offset and limit parameters are used to navigate the list of elements. The _links object contains URLs to navigate the different pages.

idstring · uuidRequired

ID of the list of Share resources.

Example: ce834630-97f2-56a7-bc99-4427e61d4714
typestring · enumRequired

The type of the resource.

Possible values:
hrefstringRequired

The URL of the list of Share resources.

Example: /clusters/{clusterId}/shares
offsetintegerRead-onlyRequired

The offset specified in the request (if none was specified, the default offset is 0).

Example: 0
limitintegerRead-onlyRequired

The limit specified in the request (if none was specified, use the endpoint's default pagination limit).

Example: 42
get
/clusters/{clusterId}/shares

Create Share

post
/clusters/{clusterId}/shares

Creates a new Share.

The full Share needs to be provided to create the object. Optional data will be filled with defaults or left empty.

Authorizations
AuthorizationstringRequired

The token can be generated using the Authentication API.

Path parameters
clusterIdstring · uuidRequired

The ID (UUID) of the Cluster.

Example: e69b22a5-8fee-56b1-b6fb-4a07e4205ead
Body
metadataanyOptional

Metadata

Responses
post
/clusters/{clusterId}/shares

Retrieve Share

get
/clusters/{clusterId}/shares/{shareId}

Returns the Share by ID.

Authorizations
AuthorizationstringRequired

The token can be generated using the Authentication API.

Path parameters
clusterIdstring · uuidRequired

The ID (UUID) of the Cluster.

Example: e69b22a5-8fee-56b1-b6fb-4a07e4205ead
shareIdstring · uuidRequired

The ID (UUID) of the Share.

Example: 7b1ef56d-dfc6-51fe-aff0-7af2d6747868
Responses
chevron-right
200

Getting Share was successful.

application/json
idstring · uuidRequired

The ID (UUID) of the Share.

Example: 7b1ef56d-dfc6-51fe-aff0-7af2d6747868
typestring · enumRequired

The type of the resource.

Possible values:
hrefstringRequired

The URL of the Share.

Example: /clusters/{clusterId}/shares/7b1ef56d-dfc6-51fe-aff0-7af2d6747868
get
/clusters/{clusterId}/shares/{shareId}

Ensure Share

put
/clusters/{clusterId}/shares/{shareId}

Ensures that the Share with the provided ID is created or modified. The full Share needs to be provided to ensure (either update or create) the Share. Non present data will only be filled with defaults or left empty, but not take previous values into consideration.

Authorizations
AuthorizationstringRequired

The token can be generated using the Authentication API.

Path parameters
clusterIdstring · uuidRequired

The ID (UUID) of the Cluster.

Example: e69b22a5-8fee-56b1-b6fb-4a07e4205ead
shareIdstring · uuidRequired

The ID (UUID) of the Share.

Example: 7b1ef56d-dfc6-51fe-aff0-7af2d6747868
Body
idstring · uuidRequired

The ID (UUID) of the Share.

Example: 7b1ef56d-dfc6-51fe-aff0-7af2d6747868
metadataanyOptional

Metadata

Responses
chevron-right
200

Share successfully updated.

application/json
idstring · uuidRequired

The ID (UUID) of the Share.

Example: 7b1ef56d-dfc6-51fe-aff0-7af2d6747868
typestring · enumRequired

The type of the resource.

Possible values:
hrefstringRequired

The URL of the Share.

Example: /clusters/{clusterId}/shares/7b1ef56d-dfc6-51fe-aff0-7af2d6747868
put
/clusters/{clusterId}/shares/{shareId}

Delete Share

delete
/clusters/{clusterId}/shares/{shareId}

Deletes the specified Share.

Authorizations
AuthorizationstringRequired

The token can be generated using the Authentication API.

Path parameters
clusterIdstring · uuidRequired

The ID (UUID) of the Cluster.

Example: e69b22a5-8fee-56b1-b6fb-4a07e4205ead
shareIdstring · uuidRequired

The ID (UUID) of the Share.

Example: 7b1ef56d-dfc6-51fe-aff0-7af2d6747868
Responses
delete
/clusters/{clusterId}/shares/{shareId}

No content

Last updated

Was this helpful?